%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	OpenGL image compositing library
Name:		glitz
Version:	0.5.6
Release:	%mkrel 18
License:	BSD
Group:		System/Libraries
URL:		https://www.cairographics.org/
Source0:	https://www.cairographics.org/snapshots/%name-%version.tar.bz2
Patch0:		glitz-0.4.0-libtool.patch
Patch1:		glitz-0.5.6-wformat.patch
Patch2:		glitz-0.5.6-link.patch
Patch3:		glitz-0.5.6-automake.patch
Patch4:         glitz-0.5.6-fix-configure.patch
BuildRequires:	GL-devel

%description
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on
graphics hardware. Glitz does not in any way handle software
fall-backs when graphics hardware is insufficient. However, glitz
will report if any requested operation cannot be carried out by
graphics hardware, hence making a higher level software layer
responsible for appropriate actions.

%package -n %{libname}
Summary:	OpenGL image compositing library
Group:		System/Libraries
Provides:	glitz = %{version}-%{release}

%description -n %{libname}
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on
graphics hardware. Glitz does not in any way handle software
fall-backs when graphics hardware is insufficient. However, glitz
will report if any requested operation cannot be carried out by
graphics hardware, hence making a higher level software layer
responsible for appropriate actions.

%package -n %{develname}
Summary:	Development files for glitz library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 1

%description -n %{develname}
Development files for glitz library.

%prep
%setup -q
%patch -P 0 -p1 -b .libtool
%patch -P 1 -p1 -b .wformat
%patch -P 2 -p0 -b .link
%patch -P 3 -p1 -b .am
%patch -P 4 -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING README NEWS TODO
%{_libdir}/libglitz*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 0.5.6-18.mga10
+ Revision: 2127398
- Rebuild for patchN deprecation

* Sun Mar 27 2022 umeabot <umeabot> 0.5.6-17.mga9
+ Revision: 1829055
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.5.6-16.mga8
+ Revision: 1512517
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.6-15.mga7
+ Revision: 1297913
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.5.6-14.mga6
+ Revision: 944062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-13.mga5
+ Revision: 739499
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-12.mga5
+ Revision: 679645
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.6-11.mga4
+ Revision: 521453
- Mageia 4 Mass Rebuild
+ sander85 <sander85>
- Bring it back to life, let's see if we can make it build
+ pterjan <pterjan>
- Drop glitz

* Sat Jan 12 2013 dmorgan <dmorgan> 0.5.6-10.mga3
+ Revision: 360303
- Fix build with with automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 0.5.6-9.mga3
+ Revision: 304872
- fix build with latest autoconf
- correct fix linkage
- drop .la file

* Fri Jan 21 2011 ahmad <ahmad> 0.5.6-8.mga3
+ Revision: 28383
- drop old/unneeded scriptlets
- drop X11-devel BR, GL-devel pulls the needed ones
- imported package glitz

